# Amazon AWS S3 Cordova Plugin to add iOS9 SSL Forward Secrecy exception

This plugin is a patch for iOS9 Forward Secrecy exception. It adds following to Info.plist:

```xml
<dict>
	<dict>
	<key>NSAllowsArbitraryLoads</key>
	<false/>
	<key>NSExceptionDomains</key>
	<dict>
		<key>amazonaws.com</key>
		<dict>
			<key>NSExceptionRequiresForwardSecrecy</key>
			<string>NO</string>
		</dict>
	</dict>
</dict>
```

This allows iOS 9 apps built with Xcode 7+ to access Amazon S3 hosted files without 
turning off all TLS checks on other domains.
